org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryManager.CacheEntryEventImpl

- java.lang.Object
- - java.util.EventObject
  - - javax.cache.event.CacheEntryEvent<K,V>
    - - org.apache.ignite.cache.query.CacheQueryEntryEvent
      - - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryManager.CacheEntryEventImpl

All Implemented Interfaces:
  Serializable, javax.cache.Cache.Entry

Enclosing class:
  CacheContinuousQueryManager

    public static class CacheContinuousQueryManager.CacheEntryEventImpl
    extends CacheQueryEntryEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`CacheContinuousQueryManager.CacheEntryEventImpl(javax.cache.Cache src, javax.cache.event.EventType evtType, Object key, Object val)`

### Method Summary

Methods
`Object` `getKey()`
`Object` `getOldValue()`
`long` `getPartitionUpdateCounter()` Each cache update increases partition counter.
`Object` `getValue()`
`boolean` `isOldValueAvailable()`
`String` `toString()`
`Object` `unwrap(Class cls)`

### Methods inherited from class javax.cache.event.CacheEntryEvent

`getEventType, getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheContinuousQueryManager.CacheEntryEventImpl

    public CacheContinuousQueryManager.CacheEntryEventImpl(javax.cache.Cache src,
                                                   javax.cache.event.EventType evtType,
                                                   Object key,
                                                   Object val)

Parameters:
  `src` - Event source.
  `evtType` - Event type.
  `key` - Key.
  `val` - Value.

### Method Detail

#### getPartitionUpdateCounter

    public long getPartitionUpdateCounter()

Each cache update increases partition counter. The same cache updates have on the same value of counter on primary and backup nodes. This value can be useful to communicate with external applications.

Specified by:
  `getPartitionUpdateCounter` in class `CacheQueryEntryEvent`
Returns:
  Value of counter for this event.

#### getOldValue

    public Object getOldValue()

Specified by:
  `getOldValue` in class `javax.cache.event.CacheEntryEvent`

#### isOldValueAvailable

    public boolean isOldValueAvailable()

Specified by:
  `isOldValueAvailable` in class `javax.cache.event.CacheEntryEvent`

#### getKey

    public Object getKey()

#### getValue

    public Object getValue()

#### unwrap

    public Object unwrap(Class cls)

#### toString

    public String toString()

Overrides:
  `toString` in class `EventObject`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016